<?php

	lt_include( PLOG_CLASS_PATH."class/controller/controller.class.php" );

     class MobileController extends Controller 
     {

    	/**
         * Constructor. Automatically loads the maps
         */
		function MobileController()
        {
			$actionMap = $this->_loadActionMaps();        
        
            $this->Controller( $actionMap, "op" );
			
			$this->setActionFolderPath( PLOG_CLASS_PATH.'plugins/mobile/class/action/' );
        }
        
        /**
         * Loads the maps
         *
         * @private
         */
        function _loadActionMaps()
        {
			include( PLOG_CLASS_PATH."plugins/mobile/class/controller/mobilecontrollermap.properties.php" );

            return $actions;
        }
    }
?>
